libpgtypes3_11.5-0ubuntu0.19.04.1_i386.deb


Advertisement

Description

libpgtypes3 - shared library libpgtypes for PostgreSQL 11

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Main i386
Package filename libpgtypes3_11.5-0ubuntu0.19.04.1_i386.deb
Package name libpgtypes3
Package version 11.5
Package release 0ubuntu0.19.04.1
Package architecture i386
Package type deb
Category libs
Homepage http://www.postgresql.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 38.04 KB
Installed size 111.00 KB
The libpgtypes shared library is used by programs built with ecpg.
(Embedded PostgreSQL for C).
PostgreSQL is an object-relational SQL database management system.

Alternatives

Package Version Architecture Repository
libpgtypes3_11.5-0ubuntu0.19.04.1_amd64.deb 11.5 amd64 Ubuntu Updates Main
libpgtypes3_11.2-1_i386.deb 11.2 i386 Ubuntu Main
libpgtypes3_11.2-1_amd64.deb 11.2 amd64 Ubuntu Main
libpgtypes3 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpgtypes3_11.5-0ubuntu0.19.04.1_i386.deb
Source Package postgresql-11

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpgtypes3 deb package:
    # sudo apt-get install libpgtypes3

Files

Path
/usr/lib/i386-linux-gnu/libpgtypes.so.3
/usr/lib/i386-linux-gnu/libpgtypes.so.3.11
/usr/share/doc/libpgtypes3/changelog.Debian.gz
/usr/share/doc/libpgtypes3/copyright

Changelog

2019-08-06 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-11 (11.5-0ubuntu0.19.04.1) disco-security; urgency=medium
* SECURITY UPDATE: New upstream release (LP: #1839058)
- Require schema qualification to cast to a temporary type when using
functional cast syntax (CVE-2019-10208)
- Fix execution of hashed subplans that require cross-type comparison
- Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when altering multiple
columns' types in one command. This fixes a regression introduced in the
most recent minor releases
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/11/static/release-11-5.html
2019-06-18 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-11 (11.4-0ubuntu0.19.04.1) disco-security; urgency=medium
* New upstream release (LP: #1833211)
- Fix buffer-overflow hazards in SCRAM verifier parsing and libpq
CVE-2019-10164
- Fix assorted errors in run-time partition pruning logic
- Fix possible crash while trying to copy trigger definitions to a
new partition
- Fix failure of ALTER TABLE ... ALTER COLUMN TYPE when the table has a
partial exclusion constraint
- Fix failure of COMMENT command for comments on domain constraints
- Prevent possible memory clobber when there are duplicate columns in a
hash aggregate's hash key list
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/11/static/release-11-4.html
2019-05-07 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
postgresql-11 (11.3-0ubuntu0.19.04.1) disco-security; urgency=medium
* New upstream release(s) (LP: #1828012)
- Prevent row-level security policies from being bypassed via
selectivity estimators.
CVE-2019-10130
- Avoid access to already-freed memory during partition routing error
reports
CVE-2019-10129
- Details about these and many further changes can be found at:
https://www.postgresql.org/docs/11/static/release-11-3.html
2019-01-30 - Christoph Berg <christoph.berg@credativ.de>
postgresql-11 (11.2-1) unstable; urgency=medium
* New upstream version.
* Add Breaks on modules needing recompilation against heap_getattr().
* Debconf translations:
+ ru by Lev Lamberov. (Closes: #920893)
+ nl by Frans Spiesschaert. (Closes: #921090)
+ fr by Jean-Pierre Giraud. (Closes: #920499)
+ pt_BR by Adriano Rafael Gomes. (Closes: #920541)
* Update PostgreSQL Maintainers address.
2019-01-28 - Christoph Berg <christoph.berg@credativ.de>
postgresql-11 (11.1-3) unstable; urgency=medium
* Debconf translations:
+ pt by Américo Monteiro. (Closes: #919338)
+ de by Helge Kreutzmann. (Closes: #919770)
* Document src/backend/snowball/libstemmer origin and licensing.
(Closes: #626732)
2019-01-09 - Christoph Berg <christoph.berg@credativ.de>
postgresql-11 (11.1-2) unstable; urgency=medium
* Drop explicit xz compression for .debs.
* Depend on locales | locales-all. Suggested by Elrond, thanks!
(Closes: #916655)
* Build-Depend on tcl-dev instead of on a specific version.
* initdb doesn't like LANG and LC_ALL to contradict, unset LANG and
LC_CTYPE at test time. (Closes: #917764)
* On purge, ask the user if they want to remove clusters. (Closes: #911940)
2018-11-06 - Christoph Berg <christoph.berg@credativ.de>
postgresql-11 (11.1-1) unstable; urgency=medium
* New upstream version.
+ Ensure proper quoting of transition table names when pg_dump emits
CREATE TRIGGER ... REFERENCING commands. (CVE-2018-16850)
2018-10-17 - Christoph Berg <myon@debian.org>
postgresql-11 (11.0-1) unstable; urgency=medium
* First PostgreSQL 11 stable release.
* Bump postgresql-11's postgresql-common dependency to 194 so we have a
"supported-versions" script that lists 11 as supported.

See Also

Package Description
libpoppler-cpp-dev_0.74.0-0ubuntu1.3_i386.deb PDF rendering library -- development files (CPP interface)
libpoppler-cpp0v5_0.74.0-0ubuntu1.3_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.74.0-0ubuntu1.3_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.74.0-0ubuntu1.3_i386.deb PDF rendering library -- development files (GLib interface)
libpoppler-glib-doc_0.74.0-0ubuntu1.3_all.deb PDF rendering library -- documentation for the GLib interface
libpoppler-glib8_0.74.0-0ubuntu1.3_i386.deb PDF rendering library (GLib-based shared library)
libpoppler-private-dev_0.74.0-0ubuntu1.3_i386.deb PDF rendering library -- private development files
libpoppler85_0.74.0-0ubuntu1.3_i386.deb PDF rendering library
libpq-dev_11.5-0ubuntu0.19.04.1_i386.deb header files for libpq5 (PostgreSQL library)
libpq5_11.5-0ubuntu0.19.04.1_i386.deb PostgreSQL C client library
libprocps-dev_3.3.15-2ubuntu2.1_i386.deb library for accessing process information from /proc
libprocps7_3.3.15-2ubuntu2.1_i386.deb library for accessing process information from /proc
libpspell-dev_0.60.7~20110707-6ubuntu0.1_i386.deb Development files for applications with pspell support
libpython2.7-dev_2.7.16-2ubuntu0.2_i386.deb Header files and a static library for Python (v2.7)
libpython2.7-minimal_2.7.16-2ubuntu0.2_i386.deb Minimal subset of the Python language (version 2.7)
Advertisement
Advertisement